Bug 495335 - Driver Disk for Xen
Driver Disk for Xen
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel-xen (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Xen Maintainance List
Red Hat Kernel QE team
:
Depends On:
Blocks: 514491
  Show dependency treegraph
 
Reported: 2009-04-12 01:51 EDT by nickcheng
Modified: 2010-11-09 08:35 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-23 11:27:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nickcheng 2009-04-12 01:51:39 EDT
Description of problem:
I would like to build a driver disk for Xen kernel in REHL5.3. It can install first but fails to reboot successfully. I check its initrd and find there is no my driver inside. This driver disk is ok with RHEL5.3 normal kernel. 

Version-Release number of selected component (if applicable):
RHEL5.3, 2.6.18-128.el5-xen

How reproducible:


Steps to Reproduce:
1. Build a driver disk for my new hardware
2. Install Xen
3. Rebuild after install successfully
  
Actual results:
Kernel panic while reboot and shows the message which says can't find /deb/root/ device 

Expected results:
Reboot successfully

Additional info:
If I build the driver disk which normally has binary driver module for normal kernel, how could I rebuild a driver module for Xen with the existing dirver module?
Thanks,
Comment 2 Andrew Jones 2010-06-23 11:27:50 EDT
This bug doesn't sound like it's in the right place. Reading the description I think this is either a) user error with using mkinitrd or b) a problem with the driver that was built. In either case I don't believe it would have anything Xen specific going on. Closing as NOTABUG, the reporter can reopen if the problem still exists and has information that makes it more clearly a xen bug.
Comment 3 Chris Lalancette 2010-07-19 09:52:29 EDT
Clearing out old flags for reporting purposes.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.